Subject: bug#69525: 30.0.50; MacOS: New warnings on stderr

From: Gerd Möllmann <[email-masked]>
Date: Mon, 04 Mar 2024 10:12:24 +0100

Gerd Möllmann <[email-masked]> writes:

>> Alan Third <[email-masked]> writes:
>> Please try reverting 6acb3c5b05a7b9fb32a5336e1bb740f527571ae9. I
>> expect that'll fix the freezing, but I don't know about the others.
>
> Thanks, I'll try that tomorrow.

I did revert the commit, but I now think, the freezes might not be
related to this all:

When trying to start Emacs after the revert, Emacs froze. I have a
desktop file that loads Emacs' frame.h. And Emacs freezes only if I load
eglot in my init file, and put eglot-ensure in c-mode-common-hook.

The other freezes I saw yesterday were also while doing C stuff, so they
could be related to using Eglot as well.

Maybe it's some change in Eglot, or, below that, in Emacs process code?
If someone knows if something changed in Eglot and/or Emacs in that
department, I'd be grateful.